Bug 419223 - Cannot convert animated transparency mask back to an animated paint layer.
Summary: Cannot convert animated transparency mask back to an animated paint layer.
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Animation (show other bugs)
Version: 4.2.9-beta1
Platform: Debian stable Linux
: NOR normal
Target Milestone: ---
Assignee: Emmet O'Neill
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-25 11:58 UTC by Ahab Greybeard
Modified: 2020-11-26 21:59 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ahab Greybeard 2020-03-25 11:58:02 UTC
SUMMARY

This applies to all versions of krita.

You can convert an animated paint layer to an animated transparency mask (right-click layer -> Convert -> to Transparency Mask)

However, if you try to convert an animated transparency mask to a paint layer, you get a non-animated layer with just the currently selected frame as the image.

It would be useful if you could convert an animated tranparency mask to an animated paint layer.

(I'm manipulating animated transparency masks and it's a lot easier to do this if they're animated paint layers. I can effectively render out the animated transparency masks as an image sequence and then import them back in as an animated paint layer to work on them but this is extra work.)
Comment 1 Tiar 2020-03-25 11:59:23 UTC
Yes, that would be good :)

WISHGROUP: Small Usability Fixes
Comment 2 Emmet O'Neill 2020-04-13 20:08:02 UTC
I'd argue this is more of a bug than a wishlist item. We should be able to convert from x to y and back to x without any significant loss whenever possible. I'll add this to our todo list.
Comment 3 Emmet O'Neill 2020-07-30 01:14:03 UTC
Git commit 4f8506a35ba2bda3072694da4492e92b9d307d6e by Emmet O'Neill.
Committed on 30/07/2020 at 01:07.
Pushed by emmetoneill into branch 'master'.

Fixed animated transparency mask -> paint layer conversion.

Before, converting an animated transparency mask to a paint layer
would discard everything but the active frame. Now, each of the
animation keyframes is converted correctly.

M  +11   -4    libs/ui/kis_layer_manager.cc

https://invent.kde.org/graphics/krita/commit/4f8506a35ba2bda3072694da4492e92b9d307d6e
Comment 4 Tiar 2020-11-03 23:07:03 UTC
@Emmet, is it possible to merge this into the krita/4.3 branch?
Comment 5 Tiar 2020-11-26 21:59:19 UTC
Git commit 7709ae209fb138d23d5102ba137bdf9eed049e66 by Agata Cacko, on behalf of Emmet O'Neill.
Committed on 26/11/2020 at 21:57.
Pushed by tymond into branch 'krita/4.3'.

Fixed animated transparency mask -> paint layer conversion.

Before, converting an animated transparency mask to a paint layer
would discard everything but the active frame. Now, each of the
animation keyframes is converted correctly.

M  +11   -2    libs/ui/kis_layer_manager.cc

https://invent.kde.org/graphics/krita/commit/7709ae209fb138d23d5102ba137bdf9eed049e66